Loading...
Searching...
No Matches
seqan3::argument_parser_error Class Reference
Argument Parser

Argument parser exception that is thrown whenever there is an error while parsing the command line arguments. More...

`#include <seqan3/argument_parser/exceptions.hpp>`

Inheritance diagram for seqan3::argument_parser_error:
[legend]

## Public Member Functions

| argument_parser_error (std::string const &s)
| The constructor.
Public Member Functions inherited from std::runtime_error
T | runtime_error (T... args)
T | what (T... args)

## Detailed Description

Argument parser exception that is thrown whenever there is an error while parsing the command line arguments.

Errors caught by the argument_parser:

- Unknown option/flag (not specified by developer but set by user)
- Too many positional options
- Too few positional options
- Option that was declared as required (option_spec::required) was not set
- Option is not a list but specified multiple times
- Type conversion failed
- Validation failed (as defined by the developer)

Remarks
  For a complete overview, take a look at Argument Parser

## Constructor & Destructor Documentation

## argument_parser_error()

seqan3::argument_parser_error::argument_parser_error | ( | std::string const & | s | ) |

inline

The constructor.

Parameters

  [in] | s | The error message.

The documentation for this class was generated from the following file:

- exceptions.hpp

Hide me